# List block installations

`GET https://api.airtable.com/v0/meta/bases/{baseId}/blockInstallations`

Lists basic information of base block installations.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`workspacesAndBases:read`](https://airtable.com/developers/web/api/scopes.md#workspaces-and-bases-read)
- **User role:** Base read-only
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

## Response format

Response is an array of the following objects:

- `id: string` — required

- `state: "enabled" | "disabled"` — required

- `createdByUserId: string` — required

  A user ID

- `createdTime: string` — required

  A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

- `blockSlug: string` — optional

  Unique readable string identifier for a block. Only present for Airtable authored blocks.

- `blockId: string` — required

### Example — Success response

```sh
curl "https://api.airtable.com/v0/meta/bases/{baseId}/blockInstallations" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
[
  {
    "blockId": "blkSmwFJEdER6oksM",
    "blockSlug": "chart",
    "createdByUserId": "usrL2PNC5o3H4lBEi",
    "createdTime": "2019-01-01T00:00:00.000Z",
    "id": "bliXyN0Q6zfajnDOG",
    "state": "enabled"
  }
]
```
